# Retrieve a specific product group's data.

Retrieve a specific product group's data.

Endpoint: GET /store/products/groups/{group_id}
Version: 2.0.0

## Path parameters:

  - `group_id` (integer, required)
    Product Group ID

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (integer, required)
    Example: 123

  - `data.name` (string,null)
    Example: "Shared web hosting"

  - `data.description` (string,null)

  - `data.icon` (string,null)
    Example: "fa-solid"

  - `data.headline` (string,null)
    Example: "Headline"

  - `data.tagline` (string,null)
    Example: "Tagline"

  - `data.order` (integer)
    The display order of the group as configured in the application.
    Example: 123

  - `data.features` (array)

  - `data.features.id` (integer, required)
    Example: 123

  - `data.features.name` (string,null, required)
    Example: "Shared web hosting"

  - `data.features.description` (string,null)

  - `data.features.order` (integer, required)
    Example: 123

  - `data.products` (array, required)

  - `data.products.id` (integer, required)
    Example: 123

  - `data.products.name` (string,null)
    Example: "Shared web hosting"

  - `data.products.description` (string,null)

  - `data.products.tagline` (string,null)
    Example: "Start with shared web hosting today!"

  - `data.products.allow_multiple_quantities` (object)

  - `data.products.allow_multiple_quantities.is_supported` (boolean)
    Indicates whether the product supports multiple quantities.

  - `data.products.allow_multiple_quantities.type` (object)

  - `data.products.allow_multiple_quantities.type.code` (integer)
    The internal code representing the multiple quantities setting.
    Example: 1

  - `data.products.allow_multiple_quantities.type.display` (string)
    The human-readable display value for the multiple quantities setting.
    Example: "No"

  - `data.products.is_domain_required` (boolean)
    Whether a domain is required to order this product

  - `data.products.stock_control_enabled` (boolean)
    Whether stock control is enabled for this product

  - `data.products.stock_quantity` (integer,null)
    The current stock quantity if stock control is enabled

  - `data.products.type` (object)

  - `data.products.type.name` (string)
    Enum: "hostingaccount", "reselleraccount", "server", "other"

  - `data.products.type.display_name` (string)
    Example: "Hosting Account"

  - `data.products.order` (integer)
    The display order of the product as configured in the application.
    Example: 123

  - `data.products.group` (object)

  - `data.products.group.id` (integer, required)
    Example: 123

  - `data.products.group.name` (string,null)
    Example: "Shared web hosting"

  - `data.products.group.description` (string,null)

  - `data.products.group.icon` (string,null)
    Example: "fa-solid"

  - `data.products.group.headline` (string,null)
    Example: "Headline"

  - `data.products.group.tagline` (string,null)
    Example: "Tagline"

  - `data.products.group.order` (integer)
    The display order of the group as configured in the application.
    Example: 123

  - `data.products.group.features` (array)

  - `data.products.pricing` (object, required)

  - `data.products.pricing.is_free` (boolean, required)

  - `data.products.pricing.onetime` (object)

  - `data.products.pricing.onetime.setup` (object, required)

  - `data.products.pricing.onetime.setup.value` (string, required)
    Example: "19.99"

  - `data.products.pricing.onetime.setup.code` (string, required)
    Example: "USD"

  - `data.products.pricing.onetime.setup.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.products.pricing.onetime.setup.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.products.pricing.onetime.setup.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

  - `data.products.pricing.onetime.amount` (object, required)

  - `data.products.pricing.recurring` (array)

  - `data.products.pricing.recurring.cycle` (string,null, required)
    Billing cycle's frequency.
    Enum: "free", "onetime", "monthly", "quarterly", "semiannually", "annually", "biennially", "triennially"

  - `data.products.pricing.recurring.setup` (object, required)

  - `data.products.pricing.recurring.amount` (object, required)

## Response 404 fields (application/json):

  - `message` (string)


